searchData={"items":[{"type":"module","title":"RRule","doc":"Wrapper functions for interacting with the Rust based rrule library","ref":"RRule.html"},{"type":"function","title":"RRule.all/2","doc":"Given a RRule, return occurrences until a limit is reached\n\n*Note* Maximum occurrences is limited to 65,535 to avoid order to prevent infinite loops","ref":"RRule.html#all/2"},{"type":"function","title":"RRule.all_between/3","doc":"Given a RRule, return all occurrences between the given UTC DateTimes.\n\nIn the success case, the return will be `{:ok, {occurrences, has_more }}`.  The `has_more` boolean is used to inform you if there\nare more occurrences that weren't returned due to the limits.  Generally you'll only care about the `occurrences`\n\n*Note* Maximum occurrences is limited to 65,535 to avoid order to prevent infinite loops","ref":"RRule.html#all_between/3"},{"type":"function","title":"Example - RRule.all_between/3","doc":"iex> RRule.all_between(\"DTSTART:20120101T093000Z\\nRRULE:FREQ=DAILY;COUNT=5\", ~U[2012-01-01 09:00:00Z], ~U[2012-02-01 09:00:00Z])\n    {:ok,\n    {[~U[2012-01-01 09:30:00Z], ~U[2012-01-02 09:30:00Z], ~U[2012-01-03 09:30:00Z],\n    ~U[2012-01-04 09:30:00Z], ~U[2012-01-05 09:30:00Z]], false}}","ref":"RRule.html#all_between/3-example"},{"type":"function","title":"RRule.all_between/4","doc":"Given a RRule, return n occurrences between the given UTC DateTimes, where n is the limit\n\n*Note* Limit cannot be greater than 65,535","ref":"RRule.html#all_between/4"},{"type":"function","title":"RRule.get_start_date/1","doc":"Given a RRule string, return the UTC DateTime when the rule starts","ref":"RRule.html#get_start_date/1"},{"type":"function","title":"Example - RRule.get_start_date/1","doc":"iex> RRule.get_start_date(\"DTSTART:20120101T093000Z\\nRRULE:FREQ=DAILY;COUNT=5\")\n    {:ok, ~U[2012-01-01 09:30:00Z]}","ref":"RRule.html#get_start_date/1-example"},{"type":"function","title":"RRule.parse/1","doc":"Given a RRule, returns the expanded representation if parsed successfully","ref":"RRule.html#parse/1"},{"type":"function","title":"Example - RRule.parse/1","doc":"iex> RRule.parse(\"DTSTART:20120101T093000Z\\nRRULE:FREQ=DAILY;COUNT=5\")\n    {:ok, \"DTSTART:20120101T093000Z\\nRRULE:FREQ=DAILY;COUNT=5;BYHOUR=9;BYMINUTE=30;BYSECOND=0\"}","ref":"RRule.html#parse/1-example"},{"type":"function","title":"RRule.validate/1","doc":"Given a RRule, return a boolean indicating if the rule is valid\n\n    iex> RRule.validate( \"DTSTART:20120101T093000Z\\nRRULE:FREQ=DAILY;COUNT=5\")\n    :ok\n\n    iex> RRule.validate( \"DTSTART:20120101T0930Z\\nRRULE:FREQ=DAILY;COUNT=5\")\n    {:error,\n    \"RRule parsing error: `20120101T0930Z` is not a valid datetime format for `DTSTART`.\"}","ref":"RRule.html#validate/1"},{"type":"extras","title":"RRule","doc":"# RRule\n\nRRule is a wrapper around the Rust based library [rrule](https://github.com/fmeringdal/rust-rrule).\n\nTo consume it in your projects, you'll need to have a Rust compiler [installed](https://www.rust-lang.org/en-US/install.html).","ref":"readme.html"},{"type":"extras","title":"Installation - RRule","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `rrule` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:rrule, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}